# GimpUi.MemsizeEntry

    from gi.repository import GimpUi

    memsize_entry = GimpUi.MemsizeEntry()

Similar to a GimpUi.SizeEntry but instead of lengths, this widget is used to let the user enter memory sizes. A combo box allows one to switch between Kilobytes, Megabytes and Gigabytes. Used in the GIMP preferences dialog.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.MemsizeEntry

## Methods

- GimpUi.MemsizeEntry.get_spinbutton
- GimpUi.MemsizeEntry.get_value
- GimpUi.MemsizeEntry.set_value

## Signals

- value-changed